org.apache.cassandra.schema

## Enum CompactionParams.Option

- java.lang.Object
- - java.lang.Enum<CompactionParams.Option>
  - - org.apache.cassandra.schema.CompactionParams.Option

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CompactionParams.Option>
  Enclosing class:
    CompactionParams

      public static enum CompactionParams.Option
      extends java.lang.Enum<CompactionParams.Option>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLASS`
    `ENABLED`
    `MAX_THRESHOLD`
    `MIN_THRESHOLD`
    `PROVIDE_OVERLAPPING_TOMBSTONES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static CompactionParams.Option` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CompactionParams.Option[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLASS

          public static final CompactionParams.Option CLASS

    - #### ENABLED

          public static final CompactionParams.Option ENABLED

    - #### MIN_THRESHOLD

          public static final CompactionParams.Option MIN_THRESHOLD

    - #### MAX_THRESHOLD

          public static final CompactionParams.Option MAX_THRESHOLD

    - #### PROVIDE_OVERLAPPING_TOMBSTONES

          public static final CompactionParams.Option PROVIDE_OVERLAPPING_TOMBSTONES

  - ### Method Detail

    - #### values

          public static CompactionParams.Option[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompactionParams.Option c : CompactionParams.Option.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompactionParams.Option valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<CompactionParams.Option>`

Copyright © 2018 The Apache Software Foundation